! This program normalized 2D cuts. The reference energy is subtracted.
PROGRAM Normalize_2D

IMPLICIT NONE

INTEGER         :: i, j
DOUBLE PRECISION :: re, Reference, x, y, f
INTEGER         :: nx, ny

! Read the reference energy
OPEN( 100, FILE="MINGASPHASE", STATUS="OLD" )
READ(100, *) re, Reference
CLOSE( 100 )

! Read the data
OPEN( 100, FILE="FILE.2d", STATUS="OLD" )
OPEN( 101, FILE="NEW.2d", STATUS="UNKNOWN" )

READ(100, *) nx
READ(100, *) ny
WRITE(101, *) nx, " <- NR"
WRITE(101, *) ny, " <- NZ"

DO i = 1, ny
  DO j = 1, nx
    READ(100, *) y, x, f
    f = f - Reference
    WRITE(101, "(F10.6,F10.6,F18.10)") y, x, f
  END DO
  IF ( i .NE. ny ) THEN
    READ(100, *)
  END IF
END DO

CLOSE( 100 )
CLOSE( 101 )

END PROGRAM

